PAR::StrippedPARL::Base(3pm)

NAME
PAR::StrippedPARL::Base - Base class for the PARL data packages

SYNOPSIS
  # Please use one of the siblings of this class instead.
  use base 'PAR::StrippedPARL::Base';

DESCRIPTION
This class is internal to PAR. Do not use it outside of PAR.

This class is basically just a container for a static binary PAR loader which doesn't include the PAR code like the parl or parl.exe you are used to. If you're really curious, I'll tell you it is just a copy of the myldr/static (or myldr/static.exe) file.

The data is appended during the "make" phase of the PAR build process.

If the binary data isn't appended during the build process, the two class methods will return the empty list.

CLASS METHODS

  write_parl
Takes a file name as argument. Writes the raw binary data in the package to the specified file and embeds the core modules to produce a complete PAR loader (parl).

Returns true on success or the empty list on failure.

  get_raw
Returns the binary data attached to the data package.

Returns the empty list on failure.

  write_raw
Takes a file name as argument and writes the binary data to the file.

Returns true on success and the empty list on failure.

SUBCLASSING
Subclasses need to implement the "_data_pos" class method which returns the value of "tell DATA" as it was after the class was loaded.

AUTHORS
Steffen Mueller <smueller@cpan.org>, Audrey Tang <cpan@audreyt.org>

COPYRIGHT AND LICENSE
Copyright 2006-2009 by Steffen Mueller <smueller@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See LICENSE.